File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
http://aspose.com/file-tools
The moose likes IDEs, Version Control and other tools and the fly likes [eclipse + win98]: Does not open Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Engineering » IDEs, Version Control and other tools
Bookmark "[eclipse + win98]: Does not open" Watch "[eclipse + win98]: Does not open" New topic
Author

[eclipse + win98]: Does not open

Rafael Afonso
Ranch Hand

Joined: Jul 16, 2002
Posts: 63
Hello:

I've intalled eclipse in my Win98. When I started it, does not open. It is showedd a message saying that it is not possible open it. In log file (in configuration directory) it is written this:

!SESSION Ago 07, 2004 20:15:58.20 ----------------------------------------------
eclipse.buildId=I200406251208
java.version=1.4.2_05
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=pt_BR

!ENTRY org.eclips e.osgi Ago 07, 2004 20:15:58.20
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:313)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:273)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:129)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at org.eclipse.core.launcher.Main.basicRun(Main.java:183)
at org.eclipse.core.launcher.Main.run(Main.java:644)
at org.eclipse.core.launcher.Main.main(Main.java:628)

Did Someone see it before? What is "application id"? It happens both with SDK elcipse and RCP Eclipse.

Thanks,


=================================<br /> Rafael U. C. Afonso<br /> <a href="http://www.javafree.com.br" target="_blank" rel="nofollow">www.javafree.com.br</a><br />=================================<br /><i>Where is debug?<br />debug is on the table</i>
Robin Murison
Greenhorn

Joined: Aug 16, 2004
Posts: 1
I also have the same problem and this is the only web page with any mention of the problem.

Similarly any help welcome

Robin M


Peace on this house
John Ozborn
Greenhorn

Joined: Aug 16, 2004
Posts: 1
I have the same problem with this eclipse and this jvm:
eclipse.buildId=I200406251208
java.version=1.4.2_05
java.vendor=Apple Computer, Inc.

I solved the problem by using the SDK version only, not the RCP-SDK version.

-John
Jan-Christian Marinesse
Greenhorn

Joined: Aug 17, 2004
Posts: 2
It seems to me that this exception shows up if
1. no plugin exists that provides a product (and application) or
2. the product requires a missing plugin
Jan-Christian Marinesse
Greenhorn

Joined: Aug 17, 2004
Posts: 2
If you want to use the RCP as foundation of your application make sure
that the config.ini file in the RCP's configuration directory lists the required plugins (osgi.bundles = org.eclipse.osgi, org.eclipse.core.runtime@2, org.eclipse.update.configurator@3) and points to your product (eclipse.product=<your product>).
Hans van Mourik
Greenhorn

Joined: Aug 20, 2004
Posts: 1
I'm sorry. I've tried your solutions, but they didn't help.
I'm using Eclipse 3.0 under Win2000 with java 1.4.2, and
I installed it in C:\eclipse .
When I try to set an application id in the config.ini, like
eclipse.application=org.eclipse.platform_3.0.0
or eclipse.application=org.eclipse.platform
I get results such as:

!SESSION Aug 20, 2004 16:45:16.343 ---------------------------------------------
eclipse.buildId=I200406251208
java.version=1.4.2_05
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US

!ENTRY org.eclipse.osgi Aug 20, 2004 16:45:16.343
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: Application "org.eclipse.platform_3.0.0"
could not be found in the registry. The applications available are: <NONE>.
at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:325)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:273)
at [...]

And with the default config.ini I get:

java.lang.RuntimeException: No application id has been found.
at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:313)
at [...]
----------------------------------------

Apparently Eclipse is looking in a registry such as:
C:\eclipse\configuration\org.eclipse.core.runtime\.registry.2
but it doesn't find any application id's there.
See method private void registerApplicationService() in
PlatformActivator.java in
C:\eclipse\plugins\org.eclipse.platform.source_3.0.0\src
\org.eclipse.core.runtime_3.0.0\runtimesrc.zip

Any help will be appreciated.

Thanks,
Hans van Mourik
Fred Grott
Ranch Hand

Joined: Oct 05, 2002
Posts: 346
Hans that entry is wrong..try this instead in your config.ini file

eclipse.product=org.eclipse.platform.ide

you missstatd the default entry because its defaulted you need not ad dto it so move it back to:

#eclipse.application=

I fyou were running a rich client app than that lien woudl be uncommented and filled with app name..


MobileBytes blog - Sharing Technology - My Programming Knols
Fred Grott
Ranch Hand

Joined: Oct 05, 2002
Posts: 346
Raufel you are probably missing the binary download.. its a common mistake with beginners on eclipse..

from now on when you might have to update to the next minor or major version down load everthing except the Junit tests and framework..
 
 
subject: [eclipse + win98]: Does not open
 
Similar Threads
Error in starting Eclipse 3.0.
Lomboz giving error in Eclipse.
Eclipse is not opening
Eclipse install problem
Running Eclipse 3.0 error...